=== debian/changelog ===
doctest (2.4.5+repack0-1) unstable; urgency=medium

  * Update to new upstream version 2.4.5+repack0

 -- Didier Raboud <odyx@debian.org>  Wed, 10 Feb 2021 08:49:19 +0100
