=== debian/control ===
Source: doctest
Maintainer: Didier Raboud <odyx@debian.org>
Section: devel
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 doxygen,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/doctest
Vcs-Git: https://salsa.debian.org/debian/doctest.git
Homepage: https://github.com/onqtam/doctest

Package: doctest-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Light and feature-rich C++ testing framework
 doctest is a light and feature-rich C++98 / C++11 single-header testing
 framework for unit tests and TDD.
 .
 It is inspired by the unittest {} functionality of the D programming
 language and Python's docstrings - tests can be considered a form of
 documentation and should be able to reside near the production code
 which they test. This isn't possible (or at least practical) with any
 other testing framework for C++.
