=== debian/changelog ===
doctest (2.4.8~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * drop patch: applied upstream
  * add patch 2001 to avoid privacy breaches in documentation
  * build html and plaintext documentation from markdown sources;
    build-depend on cmark-gfm (not doxygen)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Jan 2022 22:32:17 +0100

doctest (2.4.6+repack0-3) unstable; urgency=medium

  * adopt package:
    + add myself as maintainer;
      closes: bug#993493, thanks to Didier 'OdyX' Raboud for past work
  * set Rules-Requires-Root: no
  * drop gitlab CI file, unused by my way of maintaining packages
  * update git-buildpackage config:
    + sign tags;
    + use pristine-tar;
    + filter-out any .git* file;
    + use branch name debian/latest (not debian/master);
    + stop set meta;
    + add usage comment
  * rename and renumber patch as 1001_GCC_11.patch;
    + add file debian/patches/README to source,
      documenting patch naming micro-policy
  * update patch to use DEP-3 header
  * drop git-dpm hint file (no longer used)
  * update watch file:
    + simplify filename mangling; use substitution strings
    + add usage comment
    + set dversionmangle=auto; use repack suffix ~ds
  * update copyright info:
    + fix drop License field MIT: duplicate of Expat
    + list Github issue tracker as preferred upstream contact
    + merge Files sections
      with identical copyright holders and license
    + normalize file and copyright holder lists
    + cover logo files, licensed CC-BY-4.0
    + add references for main licensed files
    + cover my packaging contributions, licensed GPL-3+;
      add related lintian overrides
    + generally add License-Grants
  * use semantic newlines in long description and copyright fields
  * add source helper script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Jan 2022 21:05:18 +0100

doctest (2.4.6+repack0-2) unstable; urgency=medium

  * Orphan package

  * Migrate to unstable
  * S-V: Update to 4.6.0 without changes needed
  * Fix building on GCC-11 thanks to upstream's PR #520

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Sep 2021 08:51:30 +0200

doctest (2.4.6+repack0-1) experimental; urgency=medium

  * Update to new upstream version 2.4.6+repack0
  * Refresh d/copyright and bump S-V to 4.5.1 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Apr 2021 18:50:10 +0200
