=== debian/changelog ===
doctest (2.4.9~ds-1) unstable; urgency=medium

  [ upstream ]
  *new release

  [ Jonas Smedegaard ]
  * drop patch cherry-picked upstream now applied
  * update and unfuzz patches
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Sep 2022 14:44:56 +0200

doctest (2.4.8~ds-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix move-only types failing to decompose correctly;
    closes: bug#1005500, thanks to Andreas Tille and Nilesh Patra

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Apr 2022 20:48:38 +0200
