=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  cmake,
  cmark-gfm,
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/doctest
 Vcs-Git: https://salsa.debian.org/debian/doctest.git
 Homepage: https://github.com/onqtam/doctest
