## doctest 2.4.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,14 @@
     add_custom_target(assemble_single_header ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/doctest/doctest.h)
 else()
     target_include_directories(${PROJECT_NAME} INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/>)
+endif()
+
+if(CMAKE_BUILD_TYPE STREQUAL "Debug")
+	if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+		if (NOT WIN32)
+			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -gdwarf-4 ")
+		endif()
+	endif()
 endif()
 
 # hack to support building on XCode 6 and 7 - propagate the definition to everything
@@ -136,6 +144,11 @@
         FILES "doctest/doctest.h"
         DESTINATION "${include_install_dir}/doctest"
     )
+    install(
+        DIRECTORY "doctest/extensions"
+        DESTINATION "${include_install_dir}/doctest"
+        FILES_MATCHING PATTERN "*.h"
+    )
 
     install(
         FILES "${project_config}" "${version_config}"
