=== debian/changelog ===
doctest (2.4.11-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.2
  * update and unfuzz patch
  * update copyright info: update coverage
  * orphan package

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Jul 2023 19:56:11 +0200
