=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: doctest
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: devel
 Priority: optional
 Build-Depends:
  cmake,
  cmark-gfm,
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/doctest
 Vcs-Git: https://salsa.debian.org/debian/doctest.git
 Homepage: https://github.com/onqtam/doctest
