=== examples/combining_the_same_tests_built_differently_in_multiple_shared_objects/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# for more information about this example refer to the GitHub issue: https://github.com/onqtam/doctest/issues/436
+# for more information about this example refer to the GitHub issue: https://github.com/doctest/doctest/issues/436
 
 # create the test runner, to which all other targets will link to
 add_library(test_runner SHARED test_runner.cpp)
@@ -57,7 +57,7 @@
 # regardless of case sensitivity (for which there is a difference in fileOrderComparator) we will always
 # get a different sorting of the test cases and thus we need NO_OUTPUT on this test so that the CI passes
 #
-# otherwise the output from test_runner.cpp and main.cpp gets reordered before/after the output frmo the header
+# otherwise the output from test_runner.cpp and main.cpp gets reordered before/after the output from the header
 # TODO: maybe we should simply remove the output from those 2 .cpp files? then there won't be a problem...
 #
 doctest_add_test(NO_OUTPUT NAME same_tests_multiple_configurations COMMAND $<TARGET_FILE:same_tests_multiple_configurations> --no-version)
