=== scripts/how_stuff_works/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(how_stuff_works)

add_executable(how_exception_translators_work how_exception_translators_work.cpp)
add_executable(how_subcases_work how_subcases_work.cpp)
