=== debian/changelog ===
doctest (2.4.12-1) unstable; urgency=medium

  * Adopt package (Closes: #1057378)
  * New upstream version 2.4.12
  * Declare compliance with Debian Policy 4.7.2
  * Updated gbp.conf to use git-pbuilder
  * Fixed QA upload changelog warning for 2.4.11-1
  * Updated URLs in upstream metadata, copyright, and control file
  * Updated maintainer to myself in control file
  * Add doc-base registration for html and text
  * Update and unfuzz patches
  * Removed non existing doc/html_generated file exclude path from copyright

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Wed, 30 Jul 2025 12:56:11 +0500
