=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: doctest
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>
 Section: devel
 Priority: optional
 Build-Depends:
  cmake,
  cmark-gfm,
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/debian/doctest
-Vcs-Git: https://salsa.debian.org/debian/doctest.git
-Homepage: https://github.com/onqtam/doctest
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/syed/doctest
+Vcs-Git: https://salsa.debian.org/syed/doctest.git
+Homepage: https://github.com/doctest/doctest
 Rules-Requires-Root: no
 
 Package: doctest-dev
